From: "Dr. Tobias Quathamer" <toddy@debian.org>
Date: Sat, 6 Feb 2016 01:20:19 +0100
Subject: getpwent.3

---
 man3/getpwent.3 | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

--- a/man3/getpwent.3
+++ b/man3/getpwent.3
@@ -8,7 +8,8 @@
 .\"     386BSD man pages
 .\"
 .\" Modified Sat Jul 24 19:22:14 1993 by Rik Faith (faith@cs.unc.edu)
-.\" Modified Mon May 27 21:37:47 1996 by Martin Schulze (joey@linux.de)
+.\" Modified Mon May 27 21:37:47 1996 by Martin Schulze <joey@linux.de>
+.\" Modified Thu Dec 13 21:10:55 2001 by Martin Schulze <joey@infodrom.org>
 .\"
 .TH GETPWENT 3 2022-10-09 "Linux man-pages 6.01"
 .SH NAME
@@ -78,6 +79,21 @@
 };
 .EE
 .in
+.\" Next paragraph rejected upstream
+.PP
+When
+.BR shadow (5)
+passwords are enabled (which is default on many GNU/Linux
+installations) the content of
+.I pw_passwd
+is usually not very useful.  In such a case most passwords are stored
+in a separate file.
+.PP
+The variable
+.I pw_shell
+may be empty, in which case the system will execute the default shell
+.RB ( /bin/sh )
+for the user.
 .PP
 For more information about the fields of this structure, see
 .BR passwd (5).
@@ -180,4 +196,6 @@
 .BR getpwnam (3),
 .BR getpwuid (3),
 .BR putpwent (3),
+.\" Next line rejected upstream
+.BR shadow (5),
 .BR passwd (5)
